Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface SystemPropertiesAccess

All Known Subinterfaces:
  ClusterConfig, ClusteredServerConfig, ConfigConfig, DomainConfig, ServerConfig, StandaloneServerConfig

public interface SystemPropertiesAccess

All MBeans that have system Properties must extend this interface.

Properties are always Strings. Property names are required to be unique.

See Also:
  `ClusterConfig`, `ConfigConfig`, `DomainConfig`, `ClusteredServerConfig`, `StandaloneServerConfig`

Field Summary
`static java.lang.String` | `SYSTEM_PROPERTY_PREFIX` When a key is required for a system property in a Map, its name must consist of this prefix plus the actual name.

Method Summary
`void` | `createSystemProperty(java.lang.String propertyName, java.lang.String propertyValue)` Create a new system property.
`boolean` | `existsSystemProperty(java.lang.String propertyName)` Return true if any system properties exist with the specified name.
`java.util.Map` | `getSystemProperties()`
`java.lang.String[]` | `getSystemPropertyNames()` Get the names of all system properties.
`java.lang.String` | `getSystemPropertyValue(java.lang.String propertyName)` Get the value of a property.
`void` | `removeSystemProperty(java.lang.String propertyName)` Remove a system property with the specified name.
`void` | `setSystemPropertyValue(java.lang.String propertyName, java.lang.String propertyValue)` Set the value of a system property.

Field Detail

### SYSTEM_PROPERTY_PREFIX

    public static final java.lang.String SYSTEM_PROPERTY_PREFIX

  When a key is required for a system property in a Map, its name must consist of this prefix plus the actual name. When accessing a property directly, this prefix must not be used.

  See Also:
    Constant Field Values

Method Detail

### getSystemPropertyNames

    public java.lang.String[] getSystemPropertyNames()

  Get the names of all system properties.

### getSystemProperties

    public java.util.Map getSystemProperties()

  Returns:
    Map containing all properties, keyed by name

### getSystemPropertyValue

    public java.lang.String getSystemPropertyValue(java.lang.String propertyName)

  Get the value of a property.

  Parameters:
    `propertyName` - the name of the property

### setSystemPropertyValue

    public void setSystemPropertyValue(java.lang.String propertyName,
                                       java.lang.String propertyValue)

  Set the value of a system property. The property must already exist. The existing description is retained.

  Parameters:
    `propertyName` - the name of the property
    `propertyValue` - the value of the property

### existsSystemProperty

    public boolean existsSystemProperty(java.lang.String propertyName)

  Return true if any system properties exist with the specified name.

  Parameters:
    `propertyName` - the name of the property

### createSystemProperty

    public void createSystemProperty(java.lang.String propertyName,
                                     java.lang.String propertyValue)

  Create a new system property.

  Parameters:
    `propertyName` - the name of the property
    `propertyValue` - the value of the property

### removeSystemProperty

    public void removeSystemProperty(java.lang.String propertyName)

  Remove a system property with the specified name.

  Parameters:
    `propertyName` - the name of the property

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.